## libdecor-0 0.1.0

=== meson_options.txt ===
option('demo', type: 'boolean', value: true, description: 'build cairo and EGL client examples')

option('dbus', type: 'feature', value: 'enabled', description: 'use D-Bus to fetch cursor settings')

=== debian/changelog ===
libdecor-0 (0.1.0-3build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:10:52 +0100

libdecor-0 (0.1.0-3) unstable; urgency=medium

  * d/control: Add Vcs-Git, Vcs-Browser
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Dec 2021 16:10:27 +0000

libdecor-0 (0.1.0-2) unstable; urgency=medium

  * Mark all patches as applied upstream
  * d/patches: Add some more bug fixes from upstream
    - This requires a build-dependency on libopengl-dev when building
      the manual tests
  * Use https format URI in copyright file
  * d/upstream/metadata: Add
  * Standards-Version: 4.6.0 (no changes needed)
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Nov 2021 16:23:30 +0000

libdecor-0 (0.1.0-1) experimental; urgency=medium

  [ Christian Rauch ]
  * Initial release (Closes: #988116)

  [ Simon McVittie ]
  * d/control: Set Maintainer to the SDL team
  * Various packaging and test improvements

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Aug 2021 16:06:55 +0100

=== debian/control ===
Source: libdecor-0
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders:
 Christian Rauch <Rauch.Christian@gmx.de>,
 Simon McVittie <smcv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libcairo2-dev,
 libdbus-1-dev,
 libegl-dev <!noinsttest>,
 libgl-dev <!noinsttest>,
 libopengl-dev <!noinsttest>,
 libpango1.0-dev,
 libwayland-dev (>=1.18),
 libxkbcommon-dev <!noinsttest>,
 meson (>=0.47),
 pkg-config,
 wayland-protocols (>=1.15),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.gnome.org/jadahl/libdecor
Vcs-Git: https://salsa.debian.org/sdl-team/libdecor-0.git
Vcs-Browser: https://salsa.debian.org/sdl-team/libdecor-0

Package: libdecor-0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libdecor-0-plugin-1-cairo | libdecor-0-plugin-1,
Conflicts:
 libdecor,
Replaces:
 libdecor,
Description: client-side window decoration library
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains the runtime library.

Package: libdecor-0-dev
Section: libdevel
Architecture: any
Depends:
 libdecor-0-0 (= ${binary:Version}),
 libwayland-dev,
 ${misc:Depends},
Conflicts:
 libdecor-dev,
Replaces:
 libdecor-dev,
Multi-Arch: same
Description: client-side window decoration library - development files
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains development files.

Package: libdecor-0-plugin-1-cairo
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 libdecor-0-plugin-1,
Conflicts:
 libdecor-plugin-cairo,
Replaces:
 libdecor-plugin-cairo,
Description: default decoration plugin
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains a backend that draws window decorations using Cairo.

Package: libdecor-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: manual tests for libdecor
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains manual test programs. Automated tests might be added
 to this package in future versions.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

built_binaries := $(shell dh_listpackages)
configure_options =

ifneq ($(filter libdecor-tests,$(built_binaries)),)
configure_options += -Ddemo=true
configure_options += -Dinstall_demo=true
else
configure_options += -Ddemo=false
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

=== debian/tests/control ===
Tests: libdecor-0-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 libdecor-0-dev,
 libwayland-dev,
 libxkbcommon-dev,
 pkg-config,
 wayland-protocols,
 weston,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://gitlab.gnome.org/jadahl/libdecor/-/tags \
archive/[0-9.]+/libdecor-@ANY_VERSION@\.tar\.gz

## libdecor-0 0.1.1

=== debian/changelog ===
libdecor-0 (0.1.1-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Apr 2023 16:09:29 -0700

libdecor-0 (0.1.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Feb 2023 21:13:48 +0000

libdecor-0 (0.1.1-2) unstable; urgency=medium

  [ Christian Rauch ]
  * Update URLs to new upstream repo on the freedesktop.org GitLab instance

  [ Simon McVittie ]
  * d/upstream/metadata: Canonicalize Gitlab URLs
  * d/p/libecor-make-getter-for-min-max-limits-public.patch,
    d/p/debian/libdecor-0-0.symbols.in:
    Add patch from upstream to promote two symbols from plugin-only to
    public (API only, no ABI change).
    SDL 2.27.x snapshots want to use these.
  * d/.gitignore: Add
  * Update standards version to 4.6.2 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Feb 2023 20:01:25 +0000

libdecor-0 (0.1.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Dec 2022 11:02:03 +0000

libdecor-0 (0.1.1-1) unstable; urgency=medium

  [ Christian Rauch ]
  * New upstream release
    - Drop all patches, included in the upstream release
  * Update private symbols

  [ Simon McVittie ]
  * Distinguish between public and private symbols.
    To do this, generate the .symbols file from a template, so that the
    private symbols generate a lockstep dependency on the current binary
    version.
  * Update autopkgtest.
    Now that more symbols used in the demo programs are auto-discovered,
    the autopkgtest needs to copy config.h from a libdecor build.
  * Standards-Version: 4.6.1 (no changes required)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    - Build-Depends: Drop versioned constraint on meson and
      wayland-protocols

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Nov 2022 22:22:04 +0000

libdecor-0 (0.1.0-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports, requested by SDL upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Mar 2022 13:08:02 +0000

=== debian/control ===
Source: libdecor-0
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Christian Rauch <Rauch.Christian@gmx.de>,
           Simon McVittie <smcv@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcairo2-dev,
               libdbus-1-dev,
               libegl-dev <!noinsttest>,
               libgl-dev <!noinsttest>,
               libopengl-dev <!noinsttest>,
               libpango1.0-dev,
               libwayland-dev (>= 1.18),
               libxkbcommon-dev <!noinsttest>,
               meson,
               pkg-config,
               wayland-protocols
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gitlab.freedesktop.org/libdecor/libdecor
Vcs-Git: https://salsa.debian.org/sdl-team/libdecor-0.git -b debian/bullseye-backports
Vcs-Browser: https://salsa.debian.org/sdl-team/libdecor-0

Package: libdecor-0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libdecor-0-plugin-1-cairo | libdecor-0-plugin-1
Conflicts: libdecor
Replaces: libdecor
Description: client-side window decoration library
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains the runtime library.

Package: libdecor-0-dev
Section: libdevel
Architecture: any
Depends: libdecor-0-0 (= ${binary:Version}), libwayland-dev, ${misc:Depends}
Conflicts: libdecor-dev
Replaces: libdecor-dev
Multi-Arch: same
Description: client-side window decoration library - development files
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains development files.

Package: libdecor-0-plugin-1-cairo
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libdecor-0-plugin-1
Conflicts: libdecor-plugin-cairo
Replaces: libdecor-plugin-cairo
Description: default decoration plugin
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains a backend that draws window decorations using Cairo.

Package: libdecor-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: manual tests for libdecor
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains manual test programs. Automated tests might be added
 to this package in future versions.

=== debian/tests/control ===
Tests: libdecor-0-dev
Restrictions: allow-stderr, build-needed, superficial
Depends: build-essential,
         libdbus-1-dev,
         libdecor-0-dev,
         libwayland-dev,
         libxkbcommon-dev,
         pkg-config,
         wayland-protocols,
         weston

## libdecor-0 0.2.2

=== debian/changelog ===
libdecor-0 (0.2.2-2) unstable; urgency=medium

  [ Patrice Duroux ]
  * d/watch: Update for current Gitlab web interface

  [ Simon McVittie ]
  * d/watch: Use git to download new versions.
    The Gitlab web interface no longer provides archive tarballs in a
    conveniently machine-usable way. (Closes: #1081059)
  * Remove version constraints that were unnecessary since Debian 11
  * Standards-Version: 4.7.0 (no changes required)
  * d/control, d/tests: Replace transitional pkg-config with pkgconf

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Nov 2024 12:03:56 +0000

libdecor-0 (0.2.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jan 2024 17:36:11 +0000

libdecor-0 (0.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 10:06:32 +0000

libdecor-0 (0.2.0-1) unstable; urgency=medium

  * New upstream release, functionally equivalent to 0.1.99~git20230907-1
  * Revert "d/gbp.conf: Branch for debian/snapshots, upstream/snapshots
    branches"
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Sep 2023 17:35:34 +0100

libdecor-0 (0.1.99~git20230907-1) experimental; urgency=medium

  * New upstream git snapshot, similar to upcoming 0.2.0 release
  * d/p/libecor-make-getter-for-min-max-limits-public.patch:
    Drop patch, included in the upstream snapshot
  * d/copyright: Update
  * d/control: Add libdecor-0-plugin-1-gtk and install it by default.
    The -cairo plugin is still available, but doesn't match any application
    toolkits, while the new -gtk plugin matches GTK applications.
  * d/tests/run-with-display: Use absolute path to WAYLAND_DISPLAY socket.
    This means we can still use the Wayland display, even if dh_auto_test
    changes our XDG_RUNTIME_DIR.
  * d/gbp.conf: Branch for debian/snapshots, upstream/snapshots branches
  * Upload to experimental for NEW processing

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2023 12:18:54 +0100

=== debian/control ===
Source: libdecor-0
Section: x11
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders:
 Christian Rauch <Rauch.Christian@gmx.de>,
 Simon McVittie <smcv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libcairo2-dev,
 libdbus-1-dev,
 libegl-dev <!noinsttest>,
 libgl-dev <!noinsttest>,
 libgtk-3-dev,
 libopengl-dev <!noinsttest>,
 libpango1.0-dev,
 libwayland-dev,
 libxkbcommon-dev <!noinsttest>,
 meson,
 pkgconf,
 wayland-protocols,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://gitlab.freedesktop.org/libdecor/libdecor
Vcs-Git: https://salsa.debian.org/sdl-team/libdecor-0.git
Vcs-Browser: https://salsa.debian.org/sdl-team/libdecor-0

Package: libdecor-0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 default-libdecor-0-plugin-1 | libdecor-0-plugin-1,
Conflicts:
 libdecor,
Replaces:
 libdecor,
Description: client-side window decoration library
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains the runtime library.

Package: libdecor-0-dev
Section: libdevel
Architecture: any
Depends:
 libdecor-0-0 (= ${binary:Version}),
 libwayland-dev,
 ${misc:Depends},
Conflicts:
 libdecor-dev,
Replaces:
 libdecor-dev,
Multi-Arch: same
Description: client-side window decoration library - development files
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains development files.

Package: libdecor-0-plugin-1-cairo
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 libdecor-0-plugin-1,
Conflicts:
 libdecor-plugin-cairo,
Replaces:
 libdecor-plugin-cairo,
Description: libdecor decoration plugin using Cairo
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains a backend that draws window decorations using Cairo.

Package: libdecor-0-plugin-1-gtk
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 default-libdecor-0-plugin-1,
 libdecor-0-plugin-1,
Conflicts:
 libdecor-plugin-gtk,
Replaces:
 libdecor-plugin-gtk,
Description: libdecor decoration plugin using GTK
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains a backend that draws window decorations using GTK.

Package: libdecor-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: manual tests for libdecor
 libdecor is a library that can help Wayland clients draw window
 decorations for them. It aims to provide multiple backends that implements the
 decoration drawing.
 .
 This package contains manual test programs. Automated tests might be added
 to this package in future versions.

=== debian/tests/control ===
Tests: libdecor-0-dev
Restrictions: allow-stderr, build-needed, superficial
Depends:
 build-essential,
 libdbus-1-dev,
 libdecor-0-dev,
 libwayland-dev,
 libxkbcommon-dev,
 pkgconf,
 wayland-protocols,
 weston,

## libdecor-0 0.2.3

=== debian/changelog ===
libdecor-0 (0.2.3-3) unstable; urgency=medium

  * d/libdecor-0-0.symbols.in: Don't generate lockstep dependencies for
    all private symbols.
    libfltk1.4 uses libdecor_frame_get_content_height and _width, even
    though they are meant to be private to in-tree libdecor plugins
    (see #1111540), resulting in a lockstep dependency that prevents
    libdecor from migrating to testing.
    Their ABI is unlikely to change in practice, so generate ordinary
    dependencies for them. If they're changed or removed, we'll have to
    add versioned Breaks on older libfltk1.4.

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Aug 2025 11:10:02 +0100

libdecor-0 (0.2.3-2) unstable; urgency=medium

  * Rebuild for unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Aug 2025 11:32:23 +0100

libdecor-0 (0.2.3-1) experimental; urgency=medium

  * New upstream release
  * Adjust autopkgtest for internal changes to the demo program
  * d/copyright: Update
  * Standards-Version: 4.7.2 (no changes required)
  * Release to experimental during Debian 13 freeze

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 09:49:11 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  pkgconf,
  wayland-protocols,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.freedesktop.org/libdecor/libdecor
 Vcs-Git: https://salsa.debian.org/sdl-team/libdecor-0.git
 Vcs-Browser: https://salsa.debian.org/sdl-team/libdecor-0

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://gitlab.freedesktop.org/libdecor/libdecor.git \
refs/tags/@ANY_VERSION@

## libdecor-0 0.2.4

=== debian/changelog ===
libdecor-0 (0.2.4-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Convert to uscan format v5
  * Reformat packaging (debputy reformat)

 -- Simon McVittie <smcv@debian.org>  Tue, 28 Oct 2025 23:37:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libdecor-0
+X-Style: black
 Section: x11
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Christian Rauch <Rauch.Christian@gmx.de>,
- Simon McVittie <smcv@debian.org>
+ Simon McVittie <smcv@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libcairo2-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,16 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
+include /usr/share/dpkg/default.mk
+
+lib = libdecor-0-0
+
 %:
 	dh $@
+
+debian/$(lib).symbols: debian/$(lib).symbols.in
+	sed -e 's/[$$]{DEB_VERSION}/${DEB_VERSION}/g' \
+		< $< > $@
 
 built_binaries := $(shell dh_listpackages)
 configure_options =
@@ -20,3 +28,12 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_options)
+
+ifeq ($(DEB_DISTRIBUTION),UNRELEASED)
+# We can't expect the symbols file to be fully up to date for a snapshot,
+# so only fail if we broke ABI. This overrides the -c4 below.
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 1
+endif
+
+override_dh_makeshlibs: debian/$(lib).symbols
+	dh_makeshlibs -- -c4

=== debian/tests/control ===
Tests:
 libdecor-0-dev,
Restrictions:
 allow-stderr,
 build-needed,
 superficial,
Depends:
 build-essential,
 libdbus-1-dev,
 libdecor-0-dev,
 libwayland-dev,
 libxkbcommon-dev,
 pkgconf,
 wayland-protocols,
 weston,

=== debian/watch ===
Version: 5

Source: https://gitlab.freedesktop.org/libdecor/libdecor.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Git-Mode: full
Mode: git
Pgp-Mode: none

## libdecor-0 0.2.5

=== debian/changelog ===
libdecor-0 (0.2.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.3 (no changes required)
  * d/control: Remove unnecessary Priority, Rules-Requires-Root fields

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Dec 2025 17:00:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libdecor-0
 X-Style: black
 Section: x11
-Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Christian Rauch <Rauch.Christian@gmx.de>,
@@ -20,8 +19,7 @@
  meson,
  pkgconf,
  wayland-protocols,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.freedesktop.org/libdecor/libdecor
 Vcs-Git: https://salsa.debian.org/sdl-team/libdecor-0.git
 Vcs-Browser: https://salsa.debian.org/sdl-team/libdecor-0
